Delete Goal
DELETE
/users/{user_id}/goals/{slug}
const url = 'https://example.com/users/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/goals/example';const options = {method: 'DELETE'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request DELETE \ --url https://example.com/users/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/goals/exampleRemove a metric’s goal entirely (the metric returns to the candidate pool).
Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”user_id
required
User Id
string format: uuid
slug
required
Slug
string
Responses
Section titled “Responses”Successful Response
Validation Error
Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationErrorobject
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
Examplegenerated
{ "detail": [ { "loc": [ "example" ], "msg": "example", "type": "example" } ]}